Subject: RE: CygUtils Version of zip (and Symlinks)
From: Heribert Dahms <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: [email-masked]
Date: Wed, 24 May 2000 00:12:24 +0200

Hi Jason,

I'd look at "tar" which stores symlinks by default
and it's "-h" option to force following them.

Bye, Heribert ([email-masked])

> -----Original Message-----
> From:	Chris Faylor [SMTP:[email-masked]]
> Sent:	Tuesday, May 23, 2000 21:42
> To:	[email-masked]
> Cc:	[email-masked]
> Subject:	Re: CygUtils Version of zip (and Symlinks)
> 
> On Tue, May 23, 2000 at 03:15:24PM -0400, Jason Tishler wrote:
> >Chris,
> >
> >Chris Faylor wrote:
> >> If I am understanding what you're saying correctly, you are
> essentially
> >> trying to break cygwin's encapsulation of symlinks.  There is no
> >> guarantee that a symlink will always begin with "!<symlink>" or
> >> even that the contents will contain any kind of magic denoting a
> symlink.
> >
> >That is why I called it a "very nasty hack."  I'm try to elicit the
> >proper way to read the (raw) contents of a Cygwin symlink file -- if
> >one exists.  Sounds like one doesn't.
> 
> Actually, my version of zip for cygwin has a '-y' option that stores
> symlinks
> and unzip seems to restore them correctly.
> 
> So, this is at least possible already.
> 
> cgf
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]